#include <fstream>
using namespace std;
//wrong solution

int main(){
	ifstream fin("sensor.in");
	ofstream fout("sensor.out");
	int s, ans;
	fin >> s;
	ans = s - (s/6 +1) + 1;
	fout << ans << endl;
}